<template>
    <svg width="100%" height="1000px" :class="svgClass" aria-hidden="true" ref="svgMes">
        <use :xlink:href="iconName" />
    </svg>
</template>

<script>
    export default {
        name: 'SvgIcon',
        props: {
            iconClass: {
                type: String,
                // required: false,
                default: ''
            },
            className: {
                type: String,
                default: ''
            }
        },
        computed: {
            iconName() {
                return `#icon-${this.iconClass}`
            },
            svgClass() {
                if (this.className) {
                    return 'svg-icon ' + `${this.className}`
                } else {
                    return 'svg-icon'
                }
            }
        },
        mounted() {}
    }
</script>

<style lang="less" scoped>
    .svg-icon {
        width: 100%;
        height: 100%;
        vertical-align: -0.15em;
        fill: currentColor;
        overflow: hidden;
    }
</style>